LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSortedDynamicResultSetFactory Interface Referencepublished

Provides a method to create an XDynamicResultSet which will be sorted according to the given sorting options. More...

`import"XSortedDynamicResultSetFactory.idl";`

Inheritance diagram for XSortedDynamicResultSetFactory:

## Public Member Functions
com::sun::star::ucb::XDynamicResultSet | createSortedDynamicResultSet ([in] com::sun::star::ucb::XDynamicResultSet Source, [in] sequence< com::sun::star::ucb::NumberedSortingInfo > Info, [in] com::sun::star::ucb::XAnyCompareFactory CompareFactory)
| creates a sorted XDynamicResultSet depending on internal data, an (unsorted) XDynamicResultSet and the sorting info. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provides a method to create an XDynamicResultSet which will be sorted according to the given sorting options.

## Member Function Documentation

## ◆ createSortedDynamicResultSet()

com::sun::star::ucb::XDynamicResultSet createSortedDynamicResultSet | ( | [in] com::sun::star::ucb::XDynamicResultSet | Source,
|  | [in] sequence< com::sun::star::ucb::NumberedSortingInfo > | Info,
|  | [in] com::sun::star::ucb::XAnyCompareFactory | CompareFactory
| ) |  |

creates a sorted XDynamicResultSet depending on internal data, an (unsorted) XDynamicResultSet and the sorting info.

Returns
  a sorted result set.

Parameters

  Source | the (unsorted) source result set
  Info | the sort criteria
  CompareFactory | a factory for compare objects.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XSortedDynamicResultSetFactory.idl